Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Array_Forany_T< T, T_slice > Class Template Reference

Parametrized implementation of _forany class for arrays. More...

`#include <Array_VarOut_T.h>`

Collaboration diagram for TAO_Array_Forany_T< T, T_slice >:

[legend]
List of all members.

## Public Methods
| TAO_Array_Forany_T (void)
| TAO_Array_Forany_T (T_slice *, CORBA::Boolean nocopy=0)
| TAO_Array_Forany_T (const TAO_Array_Forany_T< T, T_slice > &)
| ~TAO_Array_Forany_T (void)
TAO_Array_Forany_T & | operator= (T_slice *)
TAO_Array_Forany_T & | operator= (const TAO_Array_Forany_T< T, T_slice > &)
T_slice & | operator[] (CORBA::ULong index)
const T_slice & | operator[] (CORBA::ULong index) const
| operator T_slice *const & () const
| operator T_slice *& ()
const T_slice * | in (void) const
T_slice * | inout (void)
T_slice *& | out (void)
T_slice * | _retn (void)
T_slice * | ptr (void) const
CORBA::Boolean | nocopy (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
T_slice * | tao_alloc (void)
## Private Attributes
T_slice * | ptr_
CORBA::Boolean | nocopy_

## Detailed Description

### template<typename T, typename T_slice>
class TAO_Array_Forany_T< T, T_slice >

Parametrized implementation of _forany class for arrays.

## Constructor & Destructor Documentation

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice >::TAO_Array_Forany_T | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice >::TAO_Array_Forany_T | ( | T_slice * | ,
|  | CORBA::Boolean | nocopy = 0
| ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice >::TAO_Array_Forany_T | ( | const TAO_Array_Forany_T< T, T_slice > & |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice >::~TAO_Array_Forany_T | ( | void |  | ) |

## Member Function Documentation

template<typename T, typename T_slice>
ACE_INLINE T_slice * TAO_Array_Forany_T< T, T_slice >::_retn | ( | void |  | ) |

template<typename T, typename T_slice>
void TAO_Array_Forany_T< T, T_slice >::_tao_any_destructor | ( | void * |  | ) | `[static]`

template<typename T, typename T_slice>
ACE_INLINE const T_slice * TAO_Array_Forany_T< T, T_slice >::in | ( | void |  | ) | const

template<typename T, typename T_slice>
ACE_INLINE T_slice * TAO_Array_Forany_T< T, T_slice >::inout | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE CORBA::Boolean TAO_Array_Forany_T< T, T_slice >::nocopy | ( | void |  | ) | const

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice >::operator T_slice *& | ( |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice >::operator T_slice *const & | ( |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice > & TAO_Array_Forany_T< T, T_slice >::operator= | ( | const TAO_Array_Forany_T< T, T_slice > & |  | ) |

template<typename T, typename T_slice>
ACE_INLINE TAO_Array_Forany_T< T, T_slice > & TAO_Array_Forany_T< T, T_slice >::operator= | ( | T_slice * |  | ) |

template<typename T, typename T_slice>
ACE_INLINE const T_slice & TAO_Array_Forany_T< T, T_slice >::operator[] | ( | CORBA::ULong | index | ) | const

template<typename T, typename T_slice>
ACE_INLINE T_slice & TAO_Array_Forany_T< T, T_slice >::operator[] | ( | CORBA::ULong | index | ) |

template<typename T, typename T_slice>
ACE_INLINE T_slice *& TAO_Array_Forany_T< T, T_slice >::out | ( | void |  | ) |

template<typename T, typename T_slice>
ACE_INLINE T_slice * TAO_Array_Forany_T< T, T_slice >::ptr | ( | void |  | ) | const

template<typename T, typename T_slice>
ACE_INLINE T_slice * TAO_Array_Forany_T< T, T_slice >::tao_alloc | ( | void |  | ) | `[static]`

## Member Data Documentation

template<typename T, typename T_slice>
CORBA::Boolean TAO_Array_Forany_T< T, T_slice >::nocopy_`[private]`

template<typename T, typename T_slice>
T_slice* TAO_Array_Forany_T< T, T_slice >::ptr_`[private]`

The documentation for this class was generated from the following files:

- Array_VarOut_T.h
- Array_VarOut_T.cpp
- Array_VarOut_T.inl